javax.sql

## Interface XADataSource

- All Superinterfaces:
    CommonDataSource

      public interface XADataSource
      extends CommonDataSource

  A factory for `XAConnection` objects that is used internally. An object that implements the `XADataSource` interface is typically registered with a naming service that uses the Java Naming and Directory InterfaceTM (JNDI).
  Since:
    1.4

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XAConnection` | `getXAConnection()` Attempts to establish a physical database connection that can be used in a distributed transaction.
    `XAConnection` | `getXAConnection(String user, String password)` Attempts to establish a physical database connection, using the given user name and password.

    - ### Methods inherited from interface javax.sql.CommonDataSource

      `getLoginTimeout, getLogWriter, getParentLogger, setLoginTimeout, setLogWriter`

- - ### Method Detail

    - #### getXAConnection

          XAConnection getXAConnection()
                                       throws SQLException

      Attempts to establish a physical database connection that can be used in a distributed transaction.
      Returns:
        an `XAConnection` object, which represents a physical connection to a data source, that can be used in a distributed transaction
      Throws:
        `SQLException` - if a database access error occurs
        `SQLFeatureNotSupportedException` - if the JDBC driver does not support this method
      Since:
        1.4

    - #### getXAConnection

          XAConnection getXAConnection(String user,
                                     String password)
                                       throws SQLException

      Attempts to establish a physical database connection, using the given user name and password. The connection that is returned is one that can be used in a distributed transaction.
      Parameters:
        `user` - the database user on whose behalf the connection is being made
        `password` - the user's password
      Returns:
        an `XAConnection` object, which represents a physical connection to a data source, that can be used in a distributed transaction
      Throws:
        `SQLException` - if a database access error occurs
        `SQLFeatureNotSupportedException` - if the JDBC driver does not support this method
      Since:
        1.4

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.